@echo off

rem #

rem # Licensed Materials - Property of IBM

rem # Rational ClearQuest 

rem # (C) Copyright IBM Corp. 2016 All Rights Reserved

rem # US Government Users Restricted Rights -

rem # Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

rem #

rem # The source code for this program is not published or otherwise

rem # divested of its trade secrets, irrespective of what has been

rem # deposited with the U.S. Copyright Office.

rem #

rem # Run this batch file to copy CQ jsp from the shared Installation

rem # Manager directory to a target directory

rem # Usage:   

rem #	copyJSP <targetDirectory> - Copies the ClearQuest cqbirt.jsp to the targetDirectory   

rem #   	the targetDirectory is ...\birt_war.ear\birt.war under CQ web profile path.



setlocal

:start

set JSP_PATH=%CLEARQUEST_HOME%\reports\launcher\birt\



if [%1]==[] goto setdefault



set BIRT_WAR_HOME=%1

goto copyJSPs



:setdefault

echo !!!Did nothing

echo Please specify the path of "birt.war" folder under CQ profile

echo For example: copyJSP.bat "C:\Program Files (x86)\IBM\RationalSDLC\ClearQuest\cqweb\cqwebprofile\installedApps\dfltCell\birt_war.ear\birt.war"

goto:eof



:copyJSPs

@echo Copying ClearQuest CQ BIRT JSP files to directory %BIRT_WAR_HOME%

copy "%JSP_PATH%\cqbirt.jsp" %BIRT_WAR_HOME%



endlocal	

